```
import networkx as nx
G = nx.DiGraph()
connected_users = set()

for r in retweets.find():
    connected_users.add(r['user_a'])
    connected_users.add(r['user_b'])
    G.add_edge(r['user_a'], r['user_b'],
               rel='retweets', weight=1.0)

for f in follows.find():
    connected_users.add(f['user_a'])
    connected_users.add(f['user_b'])
    G.add_edge(f['user_a'], f['user_b'],
               rel='follows', weight=2.0)

for m in mentions.find():
    connected_users.add(m['user_a'])
    connected_users.add(m['user_b'])
    G.add_edge(m['user_a'], m['user_b'],
               rel='mentions', weight=3.0)

for u in user_details.find({'num_tweets':{'$gt':1}}):
    if u['user_id'] in connected_users:
        tweets = "|".join(u['tweets'])
        G.add_node(u['user_id'],
                   screen_name=u['screen_name'],
                   tweets=tweets,
                   num_tweets = u['num_tweets'],
                   followers = u['followers'],
                   friends = u['friends'])

nx.write_gexf(G, 'motogp.gexf')

```