```
# solo incluimos relaciones de usuarios con mas de un tweet
# los tweets tienen detalles del usuario, asi que evitamos
# una segunda consulta a la API
active_users = user_details.find({'num_tweets':{'$gt':1}})
user_ids = [user['user_id'] for user in active_users]

# user_a menciona a user_b
mentions.drop()
for tweet in tweets.find({},
                         {'user.id_str':1,
                         'entities.user_mentions':1}):
    for mention in tweet['entities']['user_mentions']:
        if tweet['user']['id_str'] in user_ids and \
                mention['id_str'] in user_ids:
            mentions.insert_one({
                'user_a': tweet['user']['id_str'],
                'user_b': mention['id_str']
            })

# user_a retweetea a user_b
retweets.drop()
for tweet in tweets.find({'retweeted_status': {'$exists': True}}):
    if tweet['user']['id_str'] in user_ids and 
            tweet['retweeted_status']['user']['id_str'] in user_ids:
        retweets.insert_one({
            'user_a': tweet['user']['id_str'],
            'user_b': tweet['retweeted_status']['user']['id_str']
        })

# user_a sigue a user_b
follows.drop()
for user_a in users_friends.find():
    for user_b in user_a['friends']:
        if str(user_b) in user_ids:
            follows.insert_one({
                'user_a': user_a['user_id'],
                'user_b': str(user_b)
            })
```