```
from tweepy.streaming import StreamListener
from tweepy import OAuthHandler
from tweepy import API, Cursor, error
import json
import time

consumer_key = 'XXXX'
consumer_secret = 'XXXX'
access_token = 'XXXX'
access_token_secret = 'XXXX'

auth = OAuthHandler(consumer_key, consumer_secret)
auth.set_access_token(access_token, access_token_secret)
api = API(auth)

from pymongo import MongoClient
from pymongo import DESCENDING
client = MongoClient('localhost', 27017)
db = client['motogp']
users_friends = db['users_friends']
tweets = db['tweets']

user_details = db['user_details']
active_users = user_details.find({'num_tweets':{'$gt':1}})
user_ids = [user['user_id'] for user in active_users]

for user in user_ids:
    print('User_id:',user)
    if users_friends.find({'user_id': user}).count() == 0:
        friends = []
        try:
            for page in Cursor(api.friends_ids,
                               user,
                               wait_on_rate_limit=True).pages():
                friends = friends + page
            print("- friends:",len(friends))
            users_friends.replace_one(
                {'user_id': user},
                {'user_id': user, 'friends': friends},
                upsert=True)
        except error.TweepError:
            print("- unauthorized")
        except Exception as e:
            print("- excp type {}, waiting".format(type(e)))
            time.sleep(120)
    else:
        print('- already in DB')
```